#include <ros/ros.h>
#include <GVG/Access.h>
#include <cstdlib>
#include <string>

int main(int argc, char **argv) {
  ros::init(argc, argv, "test_access_gvg");
  ros::NodeHandle nh;
  
  ros::ServiceClient access_cln = nh.serviceClient<GVG::Access>("/indoor/gvg/access");
  access_cln.waitForExistence();

  GVG::Access srv;
  srv.request.lin_vel = 1;       // 1m/s
  srv.request.ang_speed = 20;    // 20 deg/s angular speed 
  if (!access_cln.call(srv)) {
    ROS_WARN("Could not access GVG!");
  }

  ros::spinOnce();
  return 0;
}
