#include <ros/ros.h>
#include <visualization_msgs/Marker.h>
#include <visualization_msgs/MarkerArray.h>
#include <boost/lexical_cast.hpp>
#include <cmath>
#include <opencv2/highgui/highgui.hpp>


ros::Publisher odom_Cov_pub;

void handle_Odom(geometry_msgs::PoseWithCovarianceStamped odom);

int main( int argc, char** argv ) {
  ROS_INFO("main 1");
  ros::init(argc, argv, "localizer_viz");
  ros::NodeHandle nh;
  odom_Cov_pub = nh.advertise<visualization_msgs::Marker>("odom_Cov_ellipse", 1);  ROS_INFO("main 1");

  ros::Subscriber odom_sub = nh.subscribe("/odom_combined", 1, &handle_Odom);
    ROS_INFO("main 1");
 cvNamedWindow("Image");
   ROS_INFO("main 1");
ros::spin();
   cvDestroyWindow("Image");
 return 0;
}

void handle_Odom(geometry_msgs::PoseWithCovarianceStamped odom) {
  ROS_INFO("localizer_viz::handleOdom  [%lf,%lf,%lf]",odom->pose.pose.position.x,odom->pose.pose.position.y,acos(odom->pose.pose.orientation.w)*2.0);
  visualization_msgs::Marker marker;
    marker.header.frame_id = "/my_frame";
    marker.header.stamp = ros::Time::now();
    marker.ns = "basic_shapes";
    marker.id = 0;
    marker.action = visualization_msgs::Marker::ADD;

  marker.type = visualization_msgs::Marker::SPHERE;
  marker.pose.position = odom.pose.pose.position;
  marker.pose.orientation=odom.pose.pose.orientation;

  // Set the scale of the marker -- 1x1x1 here means 1m on a side
  marker.scale.x = 1.0;
  marker.scale.y = 1.0;
  marker.scale.z = 1.0;

  // Set the color -- be sure to set alpha to something non-zero!
  marker.color.r = 0.0f;
  marker.color.g = 1.0f;
  marker.color.b = 0.0f;
  marker.color.a = 1.0;

  marker.lifetime = ros::Duration(10000);

  marker_pub.publish(marker);


}

