#include <ros/ros.h>
#include <robotNode/RelRotate.h>
#include <robotNode/Brake.h>
#include <cstdlib>
#include <string>

int main(int argc, char **argv) {
  ros::init(argc, argv, "test_rotation");
  ros::NodeHandle nh;
  
  ros::ServiceClient relRotCln = nh.serviceClient<robotNode::RelRotate>("/indoor/relative_rotate");
  ros::ServiceClient brakeCln   = nh.serviceClient<robotNode::Brake>("/indoor/brake");

  relRotCln.waitForExistence();
  brakeCln.waitForExistence();

  robotNode::RelRotate srv;
  srv.request.dtheta_rad = M_PI/2.0;    //90 deg counter-clockwise turn relative to current orientation
  srv.request.ang_speed = (20/180.0)*M_PI;    //20 deg/s angular speed 
  if (!relRotCln.call(srv)) {
    ROS_WARN("Could not turn!");
  }

  ros::spinOnce();

  robotNode::Brake bsrv;
  bsrv.request.brake = true;
  if (!brakeCln.call(bsrv)) {
    ROS_WARN("Could not stop the robot!");
  } 

  ros::spinOnce();


  return 0;
}
