#include <ros/ros.h>
#include <robotNode/RelTranslate.h>
#include <robotNode/Brake.h>
#include <cstdlib>
#include <string>

int main(int argc, char **argv) {
  ros::init(argc, argv, "test_translation");
  ros::NodeHandle nh;
  
  ros::ServiceClient relTranCln = nh.serviceClient<robotNode::RelTranslate>("/indoor/relative_translate");
  ros::ServiceClient brakeCln   = nh.serviceClient<robotNode::Brake>("/indoor/brake");

  relTranCln.waitForExistence();
  brakeCln.waitForExistence();

  robotNode::RelTranslate srv;
  srv.request.dx_in_m = 1.5;    //1.5m
  srv.request.lin_speed = 0.5;    //0.5m/s forward speed 
  if (!relTranCln.call(srv)) {
    ROS_WARN("Could not move forward!");
  }

  ros::spinOnce();

  robotNode::Brake bsrv;
  bsrv.request.brake = true;
  if (!brakeCln.call(bsrv)) {
    ROS_WARN("Could not stop the robot!");
  } 

  ros::spinOnce();
  
  return 0;
}
